ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 896 by chuckv, Mon Jan 5 22:18:40 2004 UTC vs.
Revision 1202 by gezelter, Thu May 27 16:20:36 2004 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS MPI_F90_MODS MPIMODLIBNAME EGREP CPP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_F90INC MPI_LIB MPI_F90LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 784 | Line 784 | ac_env_MPIF77_set=${MPIF77+set}
784   ac_env_F90FLAGS_value=$F90FLAGS
785   ac_cv_env_F90FLAGS_set=${F90FLAGS+set}
786   ac_cv_env_F90FLAGS_value=$F90FLAGS
787 ac_env_MPIF77_set=${MPIF77+set}
788 ac_env_MPIF77_value=$MPIF77
789 ac_cv_env_MPIF77_set=${MPIF77+set}
790 ac_cv_env_MPIF77_value=$MPIF77
787   ac_env_CPP_set=${CPP+set}
788   ac_env_CPP_value=$CPP
789   ac_cv_env_CPP_set=${CPP+set}
# Line 874 | Line 870 | Optional Packages:
870   Optional Packages:
871    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
872    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
873 <  --with-mpi_dir=MPIDIR   give the path for MPI /usr/local
873 >  --with-mpi=MPIDIR   give the path for MPI /usr/local
874    --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
875 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
880 <  --with-mpi_f90_mods=<dir>
881 <                          Location where MPI f90 modules are installed
875 >  --with-mpi-inc=dir  give the path for MPI-include-files MPI_DIR/include
876    --with-sprng_prefix=PREFIX
877                            Prefix where SPRNG is installed
878    --with-sprng-libdir=PREFIX  SPRNG library directory
879    --with-sprng-include=PREFIX
880                            SPRNG include directory
881 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
881 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
882  
883   Some influential environment variables:
884    CC          C compiler command
# Line 897 | Line 891 | Some influential environment variables:
891    CXXFLAGS    C++ compiler flags
892    F90         Fortran 90 compiler command
893    F90FLAGS    Fortran 90 compiler flags
900  MPIF77      MPI Fortran compiler command
894    CPP         C preprocessor
895  
896   Use these variables to override the choices made by `configure' or to help
# Line 1836 | Line 1829 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1829  
1830  
1831  
1832 +
1833 +
1834 +
1835 +
1836 +
1837 +
1838 +
1839 +
1840   # set program name
1841   PROGNAME="oopse"
1842  
# Line 2573 | Line 2574 | if test -n "$ac_tool_prefix"; then
2574   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2575   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2576   if test -n "$ac_tool_prefix"; then
2577 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2577 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2578    do
2579      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2580   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2615 | Line 2616 | if test -z "$CXX"; then
2616   fi
2617   if test -z "$CXX"; then
2618    ac_ct_CXX=$CXX
2619 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2619 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2620   do
2621    # Extract the first word of "$ac_prog", so it can be a program name with args.
2622   set dummy $ac_prog; ac_word=$2
# Line 2887 | Line 2888 | OOPSE_TEMPLATE_FLAGS=""
2888   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2889   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2890  
2891 +
2892   OOPSE_TEMPLATE_FLAGS=""
2893   if test $ac_cv_cxx_compiler_gnu = no; then
2894    echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -ptused -no_prelink" >&5
# Line 2931 | Line 2933 | echo "${ECHO_T}yes" >&6
2933    if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2934      echo "$as_me:$LINENO: result: yes" >&5
2935   echo "${ECHO_T}yes" >&6
2936 +
2937 +
2938      EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2939    else
2940      echo "$as_me:$LINENO: result: no" >&5
# Line 2946 | Line 2950 | if test -n "$ac_tool_prefix"; then
2950   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2951   ac_compiler_gnu=$ac_cv_f90_compiler_gnu
2952   if test -n "$ac_tool_prefix"; then
2953 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2953 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2954    do
2955      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2956   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2988 | Line 2992 | if test -z "$F90"; then
2992   fi
2993   if test -z "$F90"; then
2994    ac_ct_F90=$F90
2995 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2995 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2996   do
2997    # Extract the first word of "$ac_prog", so it can be a program name with args.
2998   set dummy $ac_prog; ac_word=$2
# Line 3096 | Line 3100 | if test "$ac_test_PREPFLAG" != "set"; then
3100    PREPFLAG=""
3101    case "${host_cpu}-${host_os}" in
3102  
3103 <  *linux*) if test "$F90" = ifc; then
3103 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3104                      PREPFLAG="-fpp1 "
3105                  fi;;
3106    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3173 | Line 3177 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
3177   ac_compiler_gnu=$ac_cv_c_compiler_gnu
3178  
3179  
3176
3180    if test "$prepflagworks" = 1; then
3181      echo "$as_me:$LINENO: result: yes" >&5
3182   echo "${ECHO_T}yes" >&6
# Line 3198 | Line 3201 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3201    PREPDEFFLAG=""
3202    case "${host_cpu}-${host_os}" in
3203  
3204 <  *linux*) if test "$F90" = ifc; then
3204 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3205                      PREPDEFFLAG=" "
3206                  fi;;
3207    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3354 | Line 3357 | F90FLAGS="$F90FLAGS $ac_verb"
3357   ac_save_F90FLAGS=$F90FLAGS
3358   F90FLAGS="$F90FLAGS $ac_verb"
3359  
3360 < (eval echo $as_me:3357: \"$ac_link\") >&5
3360 > (eval echo $as_me:3360: \"$ac_link\") >&5
3361   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3362   echo "$ac_f90_v_output" >&5
3363   F90FLAGS=$ac_save_F90FLAGS
# Line 3431 | Line 3434 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3434   ac_save_F90FLAGS=$F90FLAGS
3435   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3436  
3437 < (eval echo $as_me:3434: \"$ac_link\") >&5
3437 > (eval echo $as_me:3437: \"$ac_link\") >&5
3438   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3439   echo "$ac_f90_v_output" >&5
3440   F90FLAGS=$ac_save_F90FLAGS
# Line 4009 | Line 4012 | case $debug in
4012  
4013  
4014  
4015 +
4016 +
4017 + echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4018 + echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4019 + if test "${ac_cv_prog_really_gcc+set}" = set; then
4020 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4021 + else
4022 +
4023 + cat > conftest.c <<EOF
4024 + #ifdef __GNUC__
4025 +  #ifndef __INTEL_COMPILER
4026 +     yes;
4027 +  #endif
4028 + #endif
4029 + EOF
4030 + if { ac_try='${CC-cc} -E conftest.c'
4031 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4032 +  (eval $ac_try) 2>&5
4033 +  ac_status=$?
4034 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4035 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4036 +  ac_cv_prog_really_gcc=yes
4037 + else
4038 +  ac_cv_prog_really_gcc=no
4039 + fi
4040 +
4041 + fi
4042 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gcc" >&5
4043 + echo "${ECHO_T}$ac_cv_prog_really_gcc" >&6
4044 + if test "$ac_cv_prog_really_gcc" = yes; then
4045 +        :
4046 +
4047 + else
4048 +        :
4049 +
4050 + fi
4051 +
4052 +
4053   # Try to determine "good" native compiler flags if none specified on command
4054   # line
4055   if test "$ac_test_CFLAGS" != "set"; then
# Line 4048 | Line 4089 | if test "$ac_test_CFLAGS" != "set"; then
4089          fi;;
4090     *darwin*)
4091          if test "$CC" = xlc -o "$CC" = cc; then
4092 <                CFLAGS="-O3 -qtune=auto -w"
4052 <                echo "*******************************************************"
4053 <                echo "*  You have Darwin on an unknown powerpc system.      *"
4054 <                echo "*  It is recommended that you use                     *"
4055 <                echo "*                                                     *"
4056 <                echo "*  CFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4057 <                echo "*                               ^^^                   *"
4058 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4059 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4060 <                echo "*******************************************************"
4092 >                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4093          fi;;
4094    esac
4095  
4096    # use default flags for gcc on all systems
4097 <  if test $ac_cv_c_compiler_gnu = yes; then
4097 >  if test $ac_cv_prog_really_gcc = yes; then
4098       CFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4099    fi
4100  
4101    # test for gcc-specific flags:
4102 <  if test $ac_cv_c_compiler_gnu = yes; then
4102 >  if test $ac_cv_prog_really_gcc = yes; then
4103      # -malign-double for x86 systems
4104  
4105  
# Line 4125 | Line 4157 | fi
4157    fi
4158  
4159    CPU_FLAGS=""
4160 <  if test "$GCC" = "yes"; then
4160 >  if test $ac_cv_prog_really_gcc = yes; then
4161                    case "${host_cpu}" in
4162            i586*)
4163  
# Line 4271 | Line 4303 | cat > conftest.c <<EOF
4303   else
4304  
4305   cat > conftest.c <<EOF
4306 < #ifdef __GNUC__
4306 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4307   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4308       yes;
4309   #  endif
# Line 4435 | Line 4467 | fi
4467   fi
4468  
4469  
4470 + fi
4471 +
4472 +
4473 +
4474 +
4475 +
4476 +
4477 +
4478 + echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4479 + echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4480 + if test "${ac_cv_prog_really_gxx+set}" = set; then
4481 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4482 + else
4483 +
4484 + cat > conftest.cpp <<EOF
4485 + #ifdef __GNUC__
4486 +  #ifndef __INTEL_COMPILER
4487 +     yes;
4488 +  #endif
4489 + #endif
4490 + EOF
4491 + if { ac_try='${CXX-c++} -E conftest.cpp'
4492 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4493 +  (eval $ac_try) 2>&5
4494 +  ac_status=$?
4495 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4496 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4497 +  ac_cv_prog_really_gxx=yes
4498 + else
4499 +  ac_cv_prog_really_gxx=no
4500   fi
4501  
4502 + fi
4503 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gxx" >&5
4504 + echo "${ECHO_T}$ac_cv_prog_really_gxx" >&6
4505 + if test "$ac_cv_prog_really_gxx" = yes; then
4506 +        :
4507  
4508 + else
4509 +        :
4510  
4511 + fi
4512  
4513  
4514   # Try to determine "good" native compiler flags if none specified on command
# Line 4470 | Line 4540 | if test "$ac_test_CXXFLAGS" != "set"; then
4540                  echo "*******************************************************"
4541          fi;;
4542     *darwin*)
4543 <        if test "$CXX" = xlC; then
4544 <                CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4475 <                echo "*******************************************************"
4476 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4477 <                echo "*  recommended that you use                           *"
4478 <                echo "*                                                     *"
4479 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4480 <                echo "*                                 ^^^                 *"
4481 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4482 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4483 <                echo "*******************************************************"
4543 >        if test "$CXX" = xlc++; then
4544 >                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4545          fi;;
4546    esac
4547  
4548    # use default flags for gcc on all systems
4549 <  if test $ac_cv_c_compiler_gnu = yes; then
4549 >  if test $ac_cv_prog_really_gxx = yes; then
4550       CXXFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4551    fi
4552  
4553    # test for gcc-specific flags:
4554 <  if test $ac_cv_c_compiler_gnu = yes; then
4554 >  if test $ac_cv_prog_really_gxx = yes; then
4555      # -malign-double for x86 systems
4556  
4557  
# Line 4548 | Line 4609 | fi
4609    fi
4610  
4611    CPU_FLAGS=""
4612 <  if test "$GCC" = "yes"; then
4612 >  if test $ac_cv_prog_really_gxx = yes; then
4613                    case "${host_cpu}" in
4614            i586*)
4615  
4616 < echo "$as_me:$LINENO: checking whether ${CC-cc} accepts -mcpu=pentium" >&5
4617 < echo $ECHO_N "checking whether ${CC-cc} accepts -mcpu=pentium... $ECHO_C" >&6
4616 > echo "$as_me:$LINENO: checking whether ${CXX-c++} accepts -mcpu=pentium" >&5
4617 > echo $ECHO_N "checking whether ${CXX-c++} accepts -mcpu=pentium... $ECHO_C" >&6
4618   if test "${ac_cpu_pentium+set}" = set; then
4619    echo $ECHO_N "(cached) $ECHO_C" >&6
4620   else
4621 <  echo 'void f(){}' > conftest.c
4622 < if test -z "`${CC-cc} -mcpu=pentium -c conftest.c 2>&1`"; then
4621 >  echo 'void f(){}' > conftest.cpp
4622 > if test -z "`${CXX-c++} -mcpu=pentium -c conftest.cpp 2>&1`"; then
4623          ac_cpu_pentium=yes
4624   else
4625          ac_cpu_pentium=no
# Line 4687 | Line 4748 | echo "$as_me:$LINENO: checking whether we are using gc
4748                  elif test "$cputype" = 750; then
4749  
4750  
4751 < echo "$as_me:$LINENO: checking whether we are using gcc 2.95 or later" >&5
4752 < echo $ECHO_N "checking whether we are using gcc 2.95 or later... $ECHO_C" >&6
4753 < if test "${ac_cv_prog_gcc_2_95+set}" = set; then
4751 > echo "$as_me:$LINENO: checking whether we are using g++ 2.95 or later" >&5
4752 > echo $ECHO_N "checking whether we are using g++ 2.95 or later... $ECHO_C" >&6
4753 > if test "${ac_cv_prog_gxx_2_95+set}" = set; then
4754    echo $ECHO_N "(cached) $ECHO_C" >&6
4755   else
4756  
4757 < cat > conftest.c <<EOF
4758 < #ifdef __GNUC__
4757 > cat > conftest.cpp <<EOF
4758 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4759   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4760       yes;
4761   #  endif
4762   #endif
4763   EOF
4764 < if { ac_try='${CC-cc} -E conftest.c'
4764 > if { ac_try='${CXX-c++} -E conftest.cpp'
4765    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4766    (eval $ac_try) 2>&5
4767    ac_status=$?
4768    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4769    (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4770 <  ac_cv_prog_gcc_2_95=yes
4770 >  ac_cv_prog_gxx_2_95=yes
4771   else
4772 <  ac_cv_prog_gcc_2_95=no
4772 >  ac_cv_prog_gxx_2_95=no
4773   fi
4774  
4775   fi
4776 < echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_2_95" >&5
4777 < echo "${ECHO_T}$ac_cv_prog_gcc_2_95" >&6
4778 < if test "$ac_cv_prog_gcc_2_95" = yes; then
4776 > echo "$as_me:$LINENO: result: $ac_cv_prog_gxx_2_95" >&5
4777 > echo "${ECHO_T}$ac_cv_prog_gxx_2_95" >&6
4778 > if test "$ac_cv_prog_gxx_2_95" = yes; then
4779          :
4780  
4781  
# Line 4871 | Line 4932 | if test x"$F90FLAGS" = x ; then
4932    F90FLAGS=""
4933    case "${host_cpu}-${host_os}" in
4934  
4935 <  *linux*) if test "$F90" = ifc; then
4935 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
4936                      F90FLAGS="-O"
4937                  fi;;
4938     rs6000*-aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 4891 | Line 4952 | if test x"$F90FLAGS" = x ; then
4952                  echo "*******************************************************"
4953          fi;;
4954     *darwin*)
4955 <        if test "$F90" = f90 -o "$F90" = xlf90; then
4956 <                F90FLAGS="-O3 -qtune=auto -w"
4896 <                echo "*********************************************************"
4897 <                echo "*  You have Darwin on an unknown powerpc system.  It is *"
4898 <                echo "*  recommended that you use                             *"
4899 <                echo "*                                                       *"
4900 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4901 <                echo "*                                 ^^^                   *"
4902 <                echo "*  where xxx is 601, 603, 604, or whatever kind of      *"
4903 <                echo "*  PowerPC CPU you have.   For more info, man xlf.      *"
4904 <                echo "*********************************************************"
4955 >        if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
4956 >                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
4957          fi;;
4958    esac
4959  
# Line 5530 | Line 5582 | echo $ECHO_N "checking for mpi-directory... $ECHO_C" >
5582   echo "$as_me:$LINENO: checking for mpi-directory" >&5
5583   echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5584  
5585 < # Check whether --with-mpi_dir or --without-mpi_dir was given.
5586 < if test "${with_mpi_dir+set}" = set; then
5587 <  withval="$with_mpi_dir"
5585 > # Check whether --with-mpi or --without-mpi was given.
5586 > if test "${with_mpi+set}" = set; then
5587 >  withval="$with_mpi"
5588    MPI_DIR="$withval"
5589   else
5590    MPI_DIR="/usr/local"
# Line 5558 | Line 5610 | echo $ECHO_N "checking for mpi-inc-directory... $ECHO_
5610   echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5611   echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5612  
5613 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5613 > # Check whether --with-mpi-inc or --without-mpi-inc was given.
5614   if test "${with_mpi_inc+set}" = set; then
5615    withval="$with_mpi_inc"
5616    MPI_INC="$withval"
# Line 5569 | Line 5621 | echo "${ECHO_T}$MPI_INC" >&6
5621   echo "${ECHO_T}$MPI_INC" >&6
5622  
5623  
5624 <
5625 < echo "$as_me:$LINENO: checking for MPI library" >&5
5626 < echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5627 < MPI_LIB=""
5628 < case "$host" in
5629 <  *-ibm-aix*)
5630 <    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5631 < echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5580 <    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5581 < echo "${ECHO_T}$PACX_SIGNAL" >&6
5582 <    if test "x$PACX_SIGNAL" = "xyes" ; then
5583 <      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5584 <        MPI_LIB="-lmpi"
5585 <      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5586 <        MPI_LIB="-lmpi"
5587 <      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5588 <        MPI_LIB="-lmpich"
5589 <      else
5590 <        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5591 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5592 <   { (exit 1); exit 1; }; }
5593 <      fi
5594 <    else
5595 <      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5596 <         MPI_LIB="-lmpi_r"
5597 <      else
5598 <         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5599 < echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5600 <   { (exit 1); exit 1; }; }
5601 <      fi
5602 <    fi
5603 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5604 < echo "${ECHO_T}found $MPI_LIB" >&6
5605 <  ;;
5606 <  *)                             if test -f "$MPI_LIBDIR/libmpich.a" ; then
5607 <      MPI_LIB="-lmpich"
5608 <    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5609 <      MPI_LIB="-lmpi"
5610 <    elif test -f "$MPI_LIBDIR/libmpi.a" ; then
5611 <      MPI_LIB="-lmpi"
5612 <    else
5613 <      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5614 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5615 <   { (exit 1); exit 1; }; }
5616 <    fi
5617 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5618 < echo "${ECHO_T}found $MPI_LIB" >&6
5619 <  ;;
5620 < esac
5621 <
5622 <
5623 <
5624 <
5625 <
5626 <
5627 <
5628 <        for ac_prog in mpif90 hf90 mpxlf90 mpf90 mpxlf95 mpxlf_r
5629 < do
5630 <  # Extract the first word of "$ac_prog", so it can be a program name with args.
5631 < set dummy $ac_prog; ac_word=$2
5632 < echo "$as_me:$LINENO: checking for $ac_word" >&5
5633 < echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
5634 < if test "${ac_cv_prog_MPIF90+set}" = set; then
5635 <  echo $ECHO_N "(cached) $ECHO_C" >&6
5624 > echo "$as_me:$LINENO: checking for mpi.h" >&5
5625 > echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5626 > HAVE_MPIDOTH_C="no"
5627 > echo '#include <mpi.h>' > conftest.cc
5628 > if test -z "`${CXX} -I${MPI_INC} -c conftest.cc 2>&1`"; then
5629 >  echo "$as_me:$LINENO: result: yes" >&5
5630 > echo "${ECHO_T}yes" >&6
5631 >  HAVE_MPIDOTH_C="yes"
5632   else
5633 <  if test -n "$MPIF90"; then
5634 <  ac_cv_prog_MPIF90="$MPIF90" # Let the user override the test.
5639 < else
5640 < as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5641 < for as_dir in $PATH
5642 < do
5643 <  IFS=$as_save_IFS
5644 <  test -z "$as_dir" && as_dir=.
5645 <  for ac_exec_ext in '' $ac_executable_extensions; do
5646 <  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
5647 <    ac_cv_prog_MPIF90="$ac_prog"
5648 <    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5649 <    break 2
5650 <  fi
5651 < done
5652 < done
5653 <
5633 >  echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5634 > echo "${ECHO_T}no! Check MPI include paths" >&6
5635   fi
5636 < fi
5637 < MPIF90=$ac_cv_prog_MPIF90
5638 < if test -n "$MPIF90"; then
5639 <  echo "$as_me:$LINENO: result: $MPIF90" >&5
5640 < echo "${ECHO_T}$MPIF90" >&6
5636 > rm -f conftest*
5637 >
5638 > echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5639 > echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5640 > HAVE_MPIFDOTH_F90="no"
5641 > rm -f conftest*
5642 > cat >conftest.f90 <<EOF
5643 > program main
5644 >  include 'mpif.h'
5645 > end
5646 > EOF
5647 > if $F90 -I$MPI_INC -c conftest.f90 > conftest.out 2>&1 ; then
5648 >   echo "$as_me:$LINENO: result: yes" >&5
5649 > echo "${ECHO_T}yes" >&6
5650 >   MPI_F90INC="$MPI_INC"
5651 >   HAVE_MPIFDOTH_F90="yes"
5652   else
5653 <  echo "$as_me:$LINENO: result: no" >&5
5654 < echo "${ECHO_T}no" >&6
5653 >   if test -s conftest.out ; then cat conftest.out >> config.log ; fi
5654 >   echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5655 > echo "${ECHO_T}no! Check MPI include paths" >&6
5656   fi
5657 + rm -f conftest*
5658  
5665  test -n "$MPIF90" && break
5666 done
5667 test -n "$MPIF90" || MPIF90="$F90"
5659  
5660 <        acx_mpi_save_F90="$F90"
5661 <        F90="$MPIF90"
5660 > ac_ext=c
5661 > ac_cpp='$CPP $CPPFLAGS'
5662 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5663 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5664 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
5665  
5666 + ac_save_LDFLAGS=$LDFLAGS
5667 + LDFLAGS="${LDFLAGS} -L${MPI_LIBDIR} "
5668  
5669 <
5670 < if test x = x"$MPILIBS"; then
5675 <        echo "$as_me:$LINENO: checking for MPI_Init" >&5
5676 < echo $ECHO_N "checking for MPI_Init... $ECHO_C" >&6
5677 <                        cat >conftest.$ac_ext <<_ACEOF
5678 <
5679 < program main
5680 <
5681 <      call MPI_Init
5682 < end program main
5683 <
5684 < _ACEOF
5685 < rm -f conftest.$ac_objext conftest$ac_exeext
5686 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5687 <  (eval $ac_link) 2>&5
5688 <  ac_status=$?
5689 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5690 <  (exit $ac_status); } &&
5691 <         { ac_try='test -s conftest$ac_exeext'
5692 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5693 <  (eval $ac_try) 2>&5
5694 <  ac_status=$?
5695 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5696 <  (exit $ac_status); }; }; then
5697 <  MPILIBS=" "
5698 <                                echo "$as_me:$LINENO: result: yes" >&5
5699 < echo "${ECHO_T}yes" >&6
5700 < else
5701 <  echo "$as_me: failed program was:" >&5
5702 < sed 's/^/| /' conftest.$ac_ext >&5
5703 <
5704 < echo "$as_me:$LINENO: result: no" >&5
5705 < echo "${ECHO_T}no" >&6
5706 < fi
5707 < rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5708 < fi
5709 < if test x = x"$MPILIBS"; then
5710 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5669 > if test x = x"$MPI_LIB"; then
5670 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5671   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5672   if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5673    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 5715 | Line 5675 | cat >conftest.$ac_ext <<_ACEOF
5675    ac_check_lib_save_LIBS=$LIBS
5676   LIBS="-lmpi  $LIBS"
5677   cat >conftest.$ac_ext <<_ACEOF
5678 + #line $LINENO "configure"
5679 + /* confdefs.h.  */
5680 + _ACEOF
5681 + cat confdefs.h >>conftest.$ac_ext
5682 + cat >>conftest.$ac_ext <<_ACEOF
5683 + /* end confdefs.h.  */
5684  
5685 < program main
5686 <
5687 < call MPI_Init
5688 < end program main
5689 <
5685 > /* Override any gcc2 internal prototype to avoid an error.  */
5686 > #ifdef __cplusplus
5687 > extern "C"
5688 > #endif
5689 > /* We use char because int might match the return type of a gcc2
5690 >   builtin and then its argument prototype would still apply.  */
5691 > char MPI_Init ();
5692 > int
5693 > main ()
5694 > {
5695 > MPI_Init ();
5696 >  ;
5697 >  return 0;
5698 > }
5699   _ACEOF
5700   rm -f conftest.$ac_objext conftest$ac_exeext
5701   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5747 | Line 5722 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
5722   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5723   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5724   if test $ac_cv_lib_mpi_MPI_Init = yes; then
5725 <  MPILIBS="-lmpi"
5725 >  MPI_LIB="-lmpi"
5726   fi
5727  
5728   fi
5729 < if test x = x"$MPILIBS"; then
5730 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5729 > if test x = x"$MPI_LIB"; then
5730 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5731   echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5732   if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5733    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 5760 | Line 5735 | cat >conftest.$ac_ext <<_ACEOF
5735    ac_check_lib_save_LIBS=$LIBS
5736   LIBS="-lmpich  $LIBS"
5737   cat >conftest.$ac_ext <<_ACEOF
5738 + #line $LINENO "configure"
5739 + /* confdefs.h.  */
5740 + _ACEOF
5741 + cat confdefs.h >>conftest.$ac_ext
5742 + cat >>conftest.$ac_ext <<_ACEOF
5743 + /* end confdefs.h.  */
5744  
5745 < program main
5746 <
5747 < call MPI_Init
5748 < end program main
5749 <
5745 > /* Override any gcc2 internal prototype to avoid an error.  */
5746 > #ifdef __cplusplus
5747 > extern "C"
5748 > #endif
5749 > /* We use char because int might match the return type of a gcc2
5750 >   builtin and then its argument prototype would still apply.  */
5751 > char MPI_Init ();
5752 > int
5753 > main ()
5754 > {
5755 > MPI_Init ();
5756 >  ;
5757 >  return 0;
5758 > }
5759   _ACEOF
5760   rm -f conftest.$ac_objext conftest$ac_exeext
5761   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5792 | Line 5782 | if test $ac_cv_lib_mpich_MPI_Init = yes; then
5782   echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5783   echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5784   if test $ac_cv_lib_mpich_MPI_Init = yes; then
5785 <  MPILIBS="-lmpich"
5785 >  MPI_LIB="-lmpich"
5786   fi
5787  
5788   fi
5789 <
5790 <
5791 <
5792 < F90="$acx_mpi_save_F90"
5793 <
5794 <
5805 <
5806 < # Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
5807 < if test x = x"$MPILIBS"; then
5808 <
5809 <        :
5789 > $as_unset ac_cv_lib_mpi_MPI_Init
5790 > if test x = x"$MPI_LIB"; then
5791 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5792 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5793 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5794 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5795   else
5796 <
5797 < cat >>confdefs.h <<\_ACEOF
5798 < #define HAVE_MPI 1
5796 >  ac_check_lib_save_LIBS=$LIBS
5797 > LIBS="-lmpi "-llam" $LIBS"
5798 > cat >conftest.$ac_ext <<_ACEOF
5799 > #line $LINENO "configure"
5800 > /* confdefs.h.  */
5801   _ACEOF
5802 + cat confdefs.h >>conftest.$ac_ext
5803 + cat >>conftest.$ac_ext <<_ACEOF
5804 + /* end confdefs.h.  */
5805  
5806 <        :
5807 < fi
5808 <
5809 <
5810 <
5811 <
5812 <
5813 < # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
5814 < if test "${with_mpi_f90_mods+set}" = set; then
5815 <  withval="$with_mpi_f90_mods"
5816 <  mpi_f90_mods="$withval"
5817 < else
5818 <  mpi_f90_mods="/usr/local/include/f90choice"
5819 < fi;
5830 <
5831 <  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
5832 < echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
5833 <
5834 <
5835 <  ac_ext=f90
5836 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5837 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5838 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5839 <
5840 <  ac_save_F90FLAGS=$F90FLAGS
5841 <
5842 <  if test "$mpi_f90_mods"; then
5843 <  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
5844 < fi
5845 <
5846 <    cat >conftest.$ac_ext <<_ACEOF
5847 <
5848 <
5849 < program main
5850 <
5851 < use mpi
5852 < integer :: ierr
5853 < call MPI_Init(ierr)
5854 <
5855 <
5856 < end program main
5857 <
5806 > /* Override any gcc2 internal prototype to avoid an error.  */
5807 > #ifdef __cplusplus
5808 > extern "C"
5809 > #endif
5810 > /* We use char because int might match the return type of a gcc2
5811 >   builtin and then its argument prototype would still apply.  */
5812 > char MPI_Init ();
5813 > int
5814 > main ()
5815 > {
5816 > MPI_Init ();
5817 >  ;
5818 >  return 0;
5819 > }
5820   _ACEOF
5821 < rm -f conftest.$ac_objext
5822 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5823 <  (eval $ac_compile) 2>&5
5821 > rm -f conftest.$ac_objext conftest$ac_exeext
5822 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5823 >  (eval $ac_link) 2>&5
5824    ac_status=$?
5825    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5826    (exit $ac_status); } &&
5827 <         { ac_try='test -s conftest.$ac_objext'
5827 >         { ac_try='test -s conftest$ac_exeext'
5828    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5829    (eval $ac_try) 2>&5
5830    ac_status=$?
5831    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5832    (exit $ac_status); }; }; then
5833 <  HAVE_MPI_MOD=1
5833 >  ac_cv_lib_mpi_MPI_Init=yes
5834   else
5835    echo "$as_me: failed program was:" >&5
5836   sed 's/^/| /' conftest.$ac_ext >&5
5837  
5838 < HAVE_MPI_MOD=0
5838 > ac_cv_lib_mpi_MPI_Init=no
5839   fi
5840 < rm -f conftest.$ac_objext conftest.$ac_ext
5841 <
5880 <  F90FLAGS=$ac_save_F90FLAGS
5881 <  ac_ext=f90
5882 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5883 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5884 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5885 <
5886 <
5887 <  if test "$HAVE_MPI_MOD" = 1; then
5888 <    echo "$as_me:$LINENO: result: yes" >&5
5889 < echo "${ECHO_T}yes" >&6
5890 <
5891 < cat >>confdefs.h <<\_ACEOF
5892 < #define MPI_MOD 1
5893 < _ACEOF
5894 <
5895 <    MPI_F90_MODS="${mpi_f90_mods}"
5896 <
5897 <    # The library name:
5898 <    if test -z "$MPI_LIB" ; then
5899 <       MPI_LIBNAME=-lmpich
5900 <    else
5901 <       MPI_LIBNAME="$MPI_LIB"
5902 <    fi
5903 <    if test -z "$MPIMODLIBNAME" ; then
5904 <       MPIMODLIBNAME="${MPI_LIBNAME}f90"
5905 <    fi
5906 <
5907 <  else
5908 <    echo "$as_me:$LINENO: result: no" >&5
5909 < echo "${ECHO_T}no" >&6
5910 <    { echo "$as_me:$LINENO: WARNING: Couldn't locate MPI F90 Modules" >&5
5911 < echo "$as_me: WARNING: Couldn't locate MPI F90 Modules" >&2;}
5912 <  fi
5913 <
5914 <
5915 <
5916 < if test "$HAVE_MPI_MOD" = 1; then
5917 <
5918 < cat >>confdefs.h <<\_ACEOF
5919 < #define MPI_MOD 1
5920 < _ACEOF
5921 <
5922 < else
5923 <        ac_ext=f90
5924 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5925 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5926 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5927 <
5928 <        echo "$as_me:$LINENO: checking for egrep" >&5
5929 < echo $ECHO_N "checking for egrep... $ECHO_C" >&6
5930 < if test "${ac_cv_prog_egrep+set}" = set; then
5931 <  echo $ECHO_N "(cached) $ECHO_C" >&6
5932 < else
5933 <  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
5934 <    then ac_cv_prog_egrep='grep -E'
5935 <    else ac_cv_prog_egrep='egrep'
5936 <    fi
5840 > rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5841 > LIBS=$ac_check_lib_save_LIBS
5842   fi
5843 < echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
5844 < echo "${ECHO_T}$ac_cv_prog_egrep" >&6
5845 < EGREP=$ac_cv_prog_egrep
5846 <
5942 <
5943 < echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5944 < echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
5945 < if test "${ac_cv_header_stdc+set}" = set; then
5946 <  echo $ECHO_N "(cached) $ECHO_C" >&6
5947 < else
5948 <  cat >conftest.$ac_ext <<_ACEOF
5949 <
5950 < program main
5951 < #include <stdlib.h>
5952 < #include <stdarg.h>
5953 < #include <string.h>
5954 < #include <float.h>
5955 <
5956 <
5957 < end program main
5958 <
5959 < _ACEOF
5960 < rm -f conftest.$ac_objext
5961 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5962 <  (eval $ac_compile) 2>&5
5963 <  ac_status=$?
5964 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5965 <  (exit $ac_status); } &&
5966 <         { ac_try='test -s conftest.$ac_objext'
5967 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5968 <  (eval $ac_try) 2>&5
5969 <  ac_status=$?
5970 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5971 <  (exit $ac_status); }; }; then
5972 <  ac_cv_header_stdc=yes
5973 < else
5974 <  echo "$as_me: failed program was:" >&5
5975 < sed 's/^/| /' conftest.$ac_ext >&5
5976 <
5977 < ac_cv_header_stdc=no
5843 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5844 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5845 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5846 >  MPI_LIB="-lmpi -llam"
5847   fi
5979 rm -f conftest.$ac_objext conftest.$ac_ext
5848  
5981 if test $ac_cv_header_stdc = yes; then
5982  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5983  cat >conftest.$ac_ext <<_ACEOF
5984 #include <string.h>
5985
5986 _ACEOF
5987 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5988  $EGREP "memchr" >/dev/null 2>&1; then
5989  :
5990 else
5991  ac_cv_header_stdc=no
5849   fi
5993 rm -f conftest*
5850  
5851 < fi
5852 <
5853 < if test $ac_cv_header_stdc = yes; then
5854 <  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5855 <  cat >conftest.$ac_ext <<_ACEOF
5856 < #include <stdlib.h>
6001 <
6002 < _ACEOF
6003 < if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6004 <  $EGREP "free" >/dev/null 2>&1; then
6005 <  :
5851 > $as_unset ac_cv_lib_mpi_MPI_Init
5852 > if test x = x"$MPI_LIB"; then
5853 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5854 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5855 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5856 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5857   else
5858 <  ac_cv_header_stdc=no
5859 < fi
5860 < rm -f conftest*
5858 >  ac_check_lib_save_LIBS=$LIBS
5859 > LIBS="-lmpi -llam -lpthread $LIBS"
5860 > cat >conftest.$ac_ext <<_ACEOF
5861 > #line $LINENO "configure"
5862 > /* confdefs.h.  */
5863 > _ACEOF
5864 > cat confdefs.h >>conftest.$ac_ext
5865 > cat >>conftest.$ac_ext <<_ACEOF
5866 > /* end confdefs.h.  */
5867  
5868 < fi
5869 <
5870 < if test $ac_cv_header_stdc = yes; then
6014 <  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6015 <  if test "$cross_compiling" = yes; then
6016 <  :
6017 < else
6018 <  cat >conftest.$ac_ext <<_ACEOF
6019 < #include <ctype.h>
6020 < #if ((' ' & 0x0FF) == 0x020)
6021 < # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6022 < # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6023 < #else
6024 < # define ISLOWER(c) \
6025 <                   (('a' <= (c) && (c) <= 'i') \
6026 <                     || ('j' <= (c) && (c) <= 'r') \
6027 <                     || ('s' <= (c) && (c) <= 'z'))
6028 < # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5868 > /* Override any gcc2 internal prototype to avoid an error.  */
5869 > #ifdef __cplusplus
5870 > extern "C"
5871   #endif
5872 <
5873 < #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5872 > /* We use char because int might match the return type of a gcc2
5873 >   builtin and then its argument prototype would still apply.  */
5874 > char MPI_Init ();
5875   int
5876   main ()
5877   {
5878 <  int i;
5879 <  for (i = 0; i < 256; i++)
5880 <    if (XOR (islower (i), ISLOWER (i))
6038 <        || toupper (i) != TOUPPER (i))
6039 <      exit(2);
6040 <  exit (0);
5878 > MPI_Init ();
5879 >  ;
5880 >  return 0;
5881   }
5882   _ACEOF
5883 < rm -f conftest$ac_exeext
5883 > rm -f conftest.$ac_objext conftest$ac_exeext
5884   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5885    (eval $ac_link) 2>&5
5886    ac_status=$?
5887    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6048  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6049  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6050  (eval $ac_try) 2>&5
6051  ac_status=$?
6052  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6053  (exit $ac_status); }; }; then
6054  :
6055 else
6056  echo "$as_me: program exited with status $ac_status" >&5
6057 echo "$as_me: failed program was:" >&5
6058 sed 's/^/| /' conftest.$ac_ext >&5
6059
6060 ( exit $ac_status )
6061 ac_cv_header_stdc=no
6062 fi
6063 rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6064 fi
6065 fi
6066 fi
6067 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6068 echo "${ECHO_T}$ac_cv_header_stdc" >&6
6069 if test $ac_cv_header_stdc = yes; then
6070
6071 cat >>confdefs.h <<\_ACEOF
6072 #define STDC_HEADERS 1
6073 _ACEOF
6074
6075 fi
6076
6077 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6078
6079
6080
6081
6082
6083
6084
6085
6086
6087 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6088                  inttypes.h stdint.h unistd.h
6089 do
6090 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6091 echo "$as_me:$LINENO: checking for $ac_header" >&5
6092 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6093 if eval "test \"\${$as_ac_Header+set}\" = set"; then
6094  echo $ECHO_N "(cached) $ECHO_C" >&6
6095 else
6096  cat >conftest.$ac_ext <<_ACEOF
6097 $ac_includes_default
6098
6099 #include <$ac_header>
6100 _ACEOF
6101 rm -f conftest.$ac_objext
6102 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6103  (eval $ac_compile) 2>&5
6104  ac_status=$?
6105  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5888    (exit $ac_status); } &&
5889 <         { ac_try='test -s conftest.$ac_objext'
5889 >         { ac_try='test -s conftest$ac_exeext'
5890    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5891    (eval $ac_try) 2>&5
5892    ac_status=$?
5893    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5894    (exit $ac_status); }; }; then
5895 <  eval "$as_ac_Header=yes"
5895 >  ac_cv_lib_mpi_MPI_Init=yes
5896   else
5897    echo "$as_me: failed program was:" >&5
5898   sed 's/^/| /' conftest.$ac_ext >&5
5899  
5900 < eval "$as_ac_Header=no"
5900 > ac_cv_lib_mpi_MPI_Init=no
5901   fi
5902 < rm -f conftest.$ac_objext conftest.$ac_ext
5902 > rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5903 > LIBS=$ac_check_lib_save_LIBS
5904   fi
5905 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5906 < echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5907 < if test `eval echo '${'$as_ac_Header'}'` = yes; then
5908 <  cat >>confdefs.h <<_ACEOF
6126 < #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6127 < _ACEOF
6128 <
6129 < fi
6130 <
6131 < done
6132 <
6133 <
6134 <
6135 < for ac_header in mpif.h
6136 < do
6137 < as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6138 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6139 <  echo "$as_me:$LINENO: checking for $ac_header" >&5
6140 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6141 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6142 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6143 < fi
6144 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6145 < echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5905 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5906 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5907 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5908 >  MPI_LIB="-lmpi -llam -lpthread"
5909   else
5910 <  # Is the header compilable?
5911 < echo "$as_me:$LINENO: checking $ac_header usability" >&5
5912 < echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6150 < cat >conftest.$ac_ext <<_ACEOF
6151 < $ac_includes_default
6152 < #include <$ac_header>
6153 < _ACEOF
6154 < rm -f conftest.$ac_objext
6155 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6156 <  (eval $ac_compile) 2>&5
6157 <  ac_status=$?
6158 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6159 <  (exit $ac_status); } &&
6160 <         { ac_try='test -s conftest.$ac_objext'
6161 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6162 <  (eval $ac_try) 2>&5
6163 <  ac_status=$?
6164 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6165 <  (exit $ac_status); }; }; then
6166 <  ac_header_compiler=yes
6167 < else
6168 <  echo "$as_me: failed program was:" >&5
6169 < sed 's/^/| /' conftest.$ac_ext >&5
6170 <
6171 < ac_header_compiler=no
5910 >  { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
5911 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
5912 >   { (exit 1); exit 1; }; }
5913   fi
6173 rm -f conftest.$ac_objext conftest.$ac_ext
6174 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6175 echo "${ECHO_T}$ac_header_compiler" >&6
5914  
6177 # Is the header present?
6178 echo "$as_me:$LINENO: checking $ac_header presence" >&5
6179 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6180 cat >conftest.$ac_ext <<_ACEOF
6181 #include <$ac_header>
6182 _ACEOF
6183 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6184  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6185  ac_status=$?
6186  grep -v '^ *+' conftest.er1 >conftest.err
6187  rm -f conftest.er1
6188  cat conftest.err >&5
6189  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6190  (exit $ac_status); } >/dev/null; then
6191  if test -s conftest.err; then
6192    ac_cpp_err=$ac_f90_preproc_warn_flag
6193  else
6194    ac_cpp_err=
6195  fi
6196 else
6197  ac_cpp_err=yes
5915   fi
6199 if test -z "$ac_cpp_err"; then
6200  ac_header_preproc=yes
6201 else
6202  echo "$as_me: failed program was:" >&5
6203 sed 's/^/| /' conftest.$ac_ext >&5
5916  
5917 <  ac_header_preproc=no
5918 < fi
6207 < rm -f conftest.err conftest.$ac_ext
6208 < echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6209 < echo "${ECHO_T}$ac_header_preproc" >&6
6210 <
6211 < # So?  What about this header?
6212 < case $ac_header_compiler:$ac_header_preproc in
6213 <  yes:no )
6214 <    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6215 < echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6216 <    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6217 < echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6218 <    (
6219 <      cat <<\_ASBOX
6220 < ## ------------------------------------ ##
6221 < ## Report this to bug-autoconf@gnu.org. ##
6222 < ## ------------------------------------ ##
6223 < _ASBOX
6224 <    ) |
6225 <      sed "s/^/$as_me: WARNING:     /" >&2
6226 <    ;;
6227 <  no:yes )
6228 <    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6229 < echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6230 <    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
6231 < echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
6232 <    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6233 < echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6234 <    (
6235 <      cat <<\_ASBOX
6236 < ## ------------------------------------ ##
6237 < ## Report this to bug-autoconf@gnu.org. ##
6238 < ## ------------------------------------ ##
6239 < _ASBOX
6240 <    ) |
6241 <      sed "s/^/$as_me: WARNING:     /" >&2
6242 <    ;;
6243 < esac
6244 < echo "$as_me:$LINENO: checking for $ac_header" >&5
6245 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6246 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6247 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6248 < else
6249 <  eval "$as_ac_Header=$ac_header_preproc"
6250 < fi
6251 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6252 < echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5917 > echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5918 > echo "${ECHO_T}found $MPI_LIB" >&6
5919  
6254 fi
6255 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6256  cat >>confdefs.h <<_ACEOF
6257 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6258 _ACEOF
5920  
5921 + echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
5922 + echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
5923 + MPI_F90LIB=""
5924 + if test -f "$MPI_LIBDIR/libfmpich.a" ; then
5925 +  MPI_F90LIB="-lfmpich"
5926 + elif test -f "$MPI_LIBDIR/liblamf77mpi.a" ; then
5927 +  MPI_F90LIB="-llamf77mpi"
5928 + else
5929 +  # nothing special found, we'll assume that the C library is all we need
5930 +  MPI_F90LIB="  "
5931   fi
5932 + echo "$as_me:$LINENO: result: found $MPI_F90LIB" >&5
5933 + echo "${ECHO_T}found $MPI_F90LIB" >&6
5934  
6262 done
5935  
6264        ac_ext=c
6265 ac_cpp='$CPP $CPPFLAGS'
6266 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6267 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6268 ac_compiler_gnu=$ac_cv_c_compiler_gnu
6269
6270
6271 cat >>confdefs.h <<\_ACEOF
6272 #define MPI_H 1
6273 _ACEOF
5936  
6275 fi
5937  
5938   ac_ext=c
5939   ac_cpp='$CPP $CPPFLAGS'
# Line 6507 | Line 6168 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6168   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6169   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6170   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6171 +
6172 +
6173 + echo "$as_me:$LINENO: checking for egrep" >&5
6174 + echo $ECHO_N "checking for egrep... $ECHO_C" >&6
6175 + if test "${ac_cv_prog_egrep+set}" = set; then
6176 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6177 + else
6178 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
6179 +    then ac_cv_prog_egrep='grep -E'
6180 +    else ac_cv_prog_egrep='egrep'
6181 +    fi
6182 + fi
6183 + echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
6184 + echo "${ECHO_T}$ac_cv_prog_egrep" >&6
6185 + EGREP=$ac_cv_prog_egrep
6186 +
6187 +
6188 + echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6189 + echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
6190 + if test "${ac_cv_header_stdc+set}" = set; then
6191 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6192 + else
6193 +  cat >conftest.$ac_ext <<_ACEOF
6194 + #line $LINENO "configure"
6195 + /* confdefs.h.  */
6196 + _ACEOF
6197 + cat confdefs.h >>conftest.$ac_ext
6198 + cat >>conftest.$ac_ext <<_ACEOF
6199 + /* end confdefs.h.  */
6200 + #include <stdlib.h>
6201 + #include <stdarg.h>
6202 + #include <string.h>
6203 + #include <float.h>
6204 +
6205 + int
6206 + main ()
6207 + {
6208  
6209 +  ;
6210 +  return 0;
6211 + }
6212 + _ACEOF
6213 + rm -f conftest.$ac_objext
6214 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6215 +  (eval $ac_compile) 2>&5
6216 +  ac_status=$?
6217 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6218 +  (exit $ac_status); } &&
6219 +         { ac_try='test -s conftest.$ac_objext'
6220 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6221 +  (eval $ac_try) 2>&5
6222 +  ac_status=$?
6223 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6224 +  (exit $ac_status); }; }; then
6225 +  ac_cv_header_stdc=yes
6226 + else
6227 +  echo "$as_me: failed program was:" >&5
6228 + sed 's/^/| /' conftest.$ac_ext >&5
6229  
6230 + ac_cv_header_stdc=no
6231 + fi
6232 + rm -f conftest.$ac_objext conftest.$ac_ext
6233  
6234 + if test $ac_cv_header_stdc = yes; then
6235 +  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6236 +  cat >conftest.$ac_ext <<_ACEOF
6237 + #line $LINENO "configure"
6238 + /* confdefs.h.  */
6239 + _ACEOF
6240 + cat confdefs.h >>conftest.$ac_ext
6241 + cat >>conftest.$ac_ext <<_ACEOF
6242 + /* end confdefs.h.  */
6243 + #include <string.h>
6244  
6245 + _ACEOF
6246 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6247 +  $EGREP "memchr" >/dev/null 2>&1; then
6248 +  :
6249 + else
6250 +  ac_cv_header_stdc=no
6251 + fi
6252 + rm -f conftest*
6253  
6254 + fi
6255 +
6256 + if test $ac_cv_header_stdc = yes; then
6257 +  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6258 +  cat >conftest.$ac_ext <<_ACEOF
6259 + #line $LINENO "configure"
6260 + /* confdefs.h.  */
6261 + _ACEOF
6262 + cat confdefs.h >>conftest.$ac_ext
6263 + cat >>conftest.$ac_ext <<_ACEOF
6264 + /* end confdefs.h.  */
6265 + #include <stdlib.h>
6266 +
6267 + _ACEOF
6268 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6269 +  $EGREP "free" >/dev/null 2>&1; then
6270 +  :
6271 + else
6272 +  ac_cv_header_stdc=no
6273 + fi
6274 + rm -f conftest*
6275 +
6276 + fi
6277 +
6278 + if test $ac_cv_header_stdc = yes; then
6279 +  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6280 +  if test "$cross_compiling" = yes; then
6281 +  :
6282 + else
6283 +  cat >conftest.$ac_ext <<_ACEOF
6284 + #line $LINENO "configure"
6285 + /* confdefs.h.  */
6286 + _ACEOF
6287 + cat confdefs.h >>conftest.$ac_ext
6288 + cat >>conftest.$ac_ext <<_ACEOF
6289 + /* end confdefs.h.  */
6290 + #include <ctype.h>
6291 + #if ((' ' & 0x0FF) == 0x020)
6292 + # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6293 + # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6294 + #else
6295 + # define ISLOWER(c) \
6296 +                   (('a' <= (c) && (c) <= 'i') \
6297 +                     || ('j' <= (c) && (c) <= 'r') \
6298 +                     || ('s' <= (c) && (c) <= 'z'))
6299 + # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6300 + #endif
6301 +
6302 + #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6303 + int
6304 + main ()
6305 + {
6306 +  int i;
6307 +  for (i = 0; i < 256; i++)
6308 +    if (XOR (islower (i), ISLOWER (i))
6309 +        || toupper (i) != TOUPPER (i))
6310 +      exit(2);
6311 +  exit (0);
6312 + }
6313 + _ACEOF
6314 + rm -f conftest$ac_exeext
6315 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6316 +  (eval $ac_link) 2>&5
6317 +  ac_status=$?
6318 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6319 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6320 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6321 +  (eval $ac_try) 2>&5
6322 +  ac_status=$?
6323 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6324 +  (exit $ac_status); }; }; then
6325 +  :
6326 + else
6327 +  echo "$as_me: program exited with status $ac_status" >&5
6328 + echo "$as_me: failed program was:" >&5
6329 + sed 's/^/| /' conftest.$ac_ext >&5
6330 +
6331 + ( exit $ac_status )
6332 + ac_cv_header_stdc=no
6333 + fi
6334 + rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6335 + fi
6336 + fi
6337 + fi
6338 + echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6339 + echo "${ECHO_T}$ac_cv_header_stdc" >&6
6340 + if test $ac_cv_header_stdc = yes; then
6341 +
6342 + cat >>confdefs.h <<\_ACEOF
6343 + #define STDC_HEADERS 1
6344 + _ACEOF
6345 +
6346 + fi
6347 +
6348 + # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6349 +
6350 +
6351 +
6352 +
6353 +
6354 +
6355 +
6356 +
6357 +
6358 + for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6359 +                  inttypes.h stdint.h unistd.h
6360 + do
6361 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6362 + echo "$as_me:$LINENO: checking for $ac_header" >&5
6363 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6364 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6365 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6366 + else
6367 +  cat >conftest.$ac_ext <<_ACEOF
6368 + #line $LINENO "configure"
6369 + /* confdefs.h.  */
6370 + _ACEOF
6371 + cat confdefs.h >>conftest.$ac_ext
6372 + cat >>conftest.$ac_ext <<_ACEOF
6373 + /* end confdefs.h.  */
6374 + $ac_includes_default
6375 +
6376 + #include <$ac_header>
6377 + _ACEOF
6378 + rm -f conftest.$ac_objext
6379 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6380 +  (eval $ac_compile) 2>&5
6381 +  ac_status=$?
6382 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6383 +  (exit $ac_status); } &&
6384 +         { ac_try='test -s conftest.$ac_objext'
6385 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6386 +  (eval $ac_try) 2>&5
6387 +  ac_status=$?
6388 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6389 +  (exit $ac_status); }; }; then
6390 +  eval "$as_ac_Header=yes"
6391 + else
6392 +  echo "$as_me: failed program was:" >&5
6393 + sed 's/^/| /' conftest.$ac_ext >&5
6394 +
6395 + eval "$as_ac_Header=no"
6396 + fi
6397 + rm -f conftest.$ac_objext conftest.$ac_ext
6398 + fi
6399 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6400 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6401 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
6402 +  cat >>confdefs.h <<_ACEOF
6403 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6404 + _ACEOF
6405 +
6406 + fi
6407 +
6408 + done
6409 +
6410 +
6411 +
6412 +
6413 +
6414   # Check whether --with-sprng_prefix or --without-sprng_prefix was given.
6415   if test "${with_sprng_prefix+set}" = set; then
6416    withval="$with_sprng_prefix"
# Line 6807 | Line 6706 | echo "${ECHO_T}yes" >&6
6706    withval="$with_mkl"
6707       echo "$as_me:$LINENO: result: yes" >&5
6708   echo "${ECHO_T}yes" >&6
6709 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
6709 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
6710          mkldir="$dir"
6711          if test -f "$dir/include/mkl.h"; then
6712              found_mkl="yes";
# Line 7084 | Line 6983 | SUBDIRS="libBASS libmdtools src forceFields samples ut
6983  
6984   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
6985  
6986 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps"
6986 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party shapes"
6987  
6988   CFLAGS=${CFLAGS-""}
6989   CXXFLAGS=${CXXFLAGS-""}
# Line 7121 | Line 7020 | esac
7020  
7021            ac_config_headers="$ac_config_headers libmdtools/config.h"
7022  
7023 <                                                                                                                                                      ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7023 >                                                                                                                                                                          ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile shapes/Makefile"
7024  
7025  
7026   cat >confcache <<\_ACEOF
# Line 7657 | Line 7556 | do
7556    "forceFields/Makefile" ) CONFIG_FILES="$CONFIG_FILES forceFields/Makefile" ;;
7557    "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
7558    "staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES staticProps/Makefile" ;;
7559 +  "third-party/Makefile" ) CONFIG_FILES="$CONFIG_FILES third-party/Makefile" ;;
7560    "samples/alkane/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/alkane/Makefile" ;;
7561    "samples/argon/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/argon/Makefile" ;;
7562    "samples/beadLipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/beadLipid/Makefile" ;;
7563    "samples/lipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/lipid/Makefile" ;;
7564    "samples/metals/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/metals/Makefile" ;;
7565    "samples/water/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/Makefile" ;;
7566 +  "shapes/Makefile" ) CONFIG_FILES="$CONFIG_FILES shapes/Makefile" ;;
7567    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
7568    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7569   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 7794 | Line 7695 | s,@mpi_dir@,$mpi_dir,;t t
7695   s,@LEXLIB@,$LEXLIB,;t t
7696   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7697   s,@AR@,$AR,;t t
7698 < s,@mpi_dir@,$mpi_dir,;t t
7698 > s,@mpi@,$mpi,;t t
7699   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7700   s,@MPI_INC@,$MPI_INC,;t t
7701 + s,@MPI_F90INC@,$MPI_F90INC,;t t
7702   s,@MPI_LIB@,$MPI_LIB,;t t
7703 < s,@MPIF77@,$MPIF77,;t t
7802 < s,@MPIF90@,$MPIF90,;t t
7803 < s,@MPILIBS@,$MPILIBS,;t t
7804 < s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7805 < s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7806 < s,@EGREP@,$EGREP,;t t
7703 > s,@MPI_F90LIB@,$MPI_F90LIB,;t t
7704   s,@CPP@,$CPP,;t t
7705 + s,@EGREP@,$EGREP,;t t
7706   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
7707   s,@SPRNG_LIB@,$SPRNG_LIB,;t t
7708   s,@SPRNG_INC@,$SPRNG_INC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines